Bug 174059 - Anaconda terminates during CD Installation
Anaconda terminates during CD Installation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-24 01:18 EST by Asif Malik
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failure text. (963 bytes, text/plain)
2006-11-09 07:54 EST, tim fry
no flags Details

  None (edit)
Description Asif Malik 2005-11-24 01:18:03 EST
Description of problem:

I am trying to install RHEL AS 3 on a 4 way pSeries 570. The system has two IDE 
CD / DVD Drives and three internal SCSI hard disks. It also has two fibre 
channel cards connected to two SAN Switches. I am using an HMC which is 
serially connected to the pSeries box. There is only one LPAR with all the 
resources given assigned to it and it is set as AIX / Linux LPAR.

I have followed the manual very strictly and I still face this problem, I 
booted from SMS and pressed enter on the boot: prompt. The SCSI drivers are 
loaded and then I Performed media check after which the CD proceeds to 
initialiazing anaconda, while anaconda is coming up I recieve this error 
message:
                                                                                
Running anaconda, the Red Hat Enterprise Linux system installer - please wait...
Probing for video card: Unable to probe
Probing for monitor type: Unknown monitor
Probing for mouse type: No - mouse
No video hardware found, assuming headless
Traceback (most recent call last):
 File "/usr/bin/anaconda",line 999,in ?
  iutil.makeDriveDeviceNodes()
 File "/usr/lib/anaconda/iutil.py" line 395, in makeDriveDeviceNodes
  isys.makeDevInode(drive, "/dev%s" % (drive,))
 File "/usr/lib/anaconda/isys.py", line 358, in makeDevInode
  _isys.mkdevinode(name,fn)
SystemError: (2, 'no such file or directory')
install exited abnormally
sending termination signals

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot from CD
2. press enter at boot:
3. skip media check

Actual results:

Anaconda failed to initialize.

Expected results:

Anaconda Initialization to an interactive session.

Additional info:
Comment 1 tim fry 2006-11-09 07:54:45 EST
Created attachment 140761 [details]
Failure text.
Comment 2 tim fry 2006-11-09 07:57:25 EST
I too have seen this issue trying to do a Boot From SAN with RHEL3 u8 (2.4.21-
47-smp.  Would you please cc on any resolution to this issue.  The following 
was the config I was trying.

HP RX4640 & RX7620
QLogic qla2342 & qla2442
McData 3216 & Brocade Silkworm 4100
MSA1500, EVA5000 A/A, EVA8000.

Running anaconda, the Red Hat Enterprise Linux system installer - please 
wait...
Probing for video card:   ATI Radeon 7000
Probing for monitor type:   Unknown monitor
Probing for mouse type:   Generic - 3 Button Mouse (USB)
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1007, in ?
    iutil.makeDriveDeviceNodes()
  File "/usr/lib/anaconda/iutil.py", line 395, in makeDriveDeviceNodes
    isys.makeDevInode(drive, "/dev/%s" % (drive,))
  File "/usr/lib/anaconda/isys.py", line 373, in makeDevInode
    _isys.mkdevinode(name, fn)
SystemError: (2, 'No such file or directory')
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usb done
        /proc done
        /dev/pts done
        /tmp/ramfs done
        /mnt/source done
you may safely reboot your system
Comment 3 Red Hat Bugzilla 2007-08-21 01:21:16 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 RHEL Product and Program Management 2007-10-19 14:50:38 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.